/*
**  $VER: DOpus-FindVersion 1.0 (30 Apr 1996) by Claus Dilly
**
**         1996 Claus Dilly
**
**  PROGRAMNAME:
**      FindVersion
**
**  FUNCTION:
**      Sucht nach einem Version-String im angewhlten File und gibt
**      ihn in einem Opus-internen Requester aus
**
**  $HISTORY:
**
**  30 Apr 1996 : 1.0 :  Abfrage, von welchem OpusPort gestartet wurde
**  30 Apr 1996 : 0.2 :  Abfrage eingenaut, ob ein File angewhlt ist
**  28 Apr 1996 : 0.1 :  initial release
*/

/*F-AN */ /* Configuration */

VERBEF="C:GETV"
VERTMP="T:GETVer.tmp"

/*F-AUS*/

/*F-AN */ /* Port-Abfrage */

/*
parse source . . . . . port     /* Welcher Port ist aktiv           */
port = strip(port)              /* Lsche Leezeichen vom Portnamen  */
OPUSport = port                 /* bergebe Portnamen an Variable   */
*/
OPUS = ADDRESS()

/*F-AUS*/

/*F-AN */ /* Library abfragen */

OPTIONS RESULTS

IF ~show("L","rexxarplib.library") THEN DO
   ADDLIB("rexxarplib.library",0,-30,0)
END

/*F-AUS*/

/*F-AN */ /* Window-Status abfragen */

ADDRESS value OPUS                     /* Adresse an DirectoryOpus bergeben */
BUSY ON                                /* Mauszeiger auf BUSY stellen */

STATUS 3; FENSTER=RESULT               /* Abfragen welches Fenster aktiv ist */
STATUS 7 FENSTER; ANWAHL=RESULT        /* Abfragen ob ein File angewhlt ist */

/*F-AUS*/

/*F-AN */ /* Requester erzeugen */

IF ANWAHL <=0 THEN                     /* Wenn nichts angewhlt wurde */
    DO
        NONE                           /* Alle angewhlten Eintrge deselektieren */
        NOTIFY ">>> DOPUS-REQUEST <<<\\Bitte zuerst ein File anwhlen !\\"
        BUSY OFF                       /* Mauszeiger auf NORMAL stellen */
    END
ELSE
    DO                                 /* Wenn ein File angewhlt wurde */
        STATUS 13 "-1";      PATH=RESULT                  /* Name des Verzeichnisses im momentan aktivem Fenster */
        GETNEXTSELECTED "-1"; NAME=RESULT                 /* Name des ersten angewhlten Eintrags im aktiven Fenster */
        PARSE VAR PATH; PARSE VAR NAME                    /* Setzt Ergebnis in Variablen */
        ADDRESS COMMAND VERBEF PATH||NAME ">" VERTMP
        VERSION = GetEnv(VERTMP)
        ADDRESS value OPUS                                /* Requester in DOpus ausgeben */
        NONE                                              /* Alle angewhlten Eintrge deselektieren */
        NOTIFY ">>> DOPUS-REQUEST <<<\\Fr das ausgewhlte File\'"||PATH||NAME||"'\  wurde der Versionsstring  \\"VERSION"\ausgegeben."
        BUSY OFF                                          /* Mauszeiger auf NORMAL stellen */
        ADDRESS COMMAND "delete >nil:" VERTMP
    END

/*F-AUS*/

EXIT

